from Products.CMFPlone.CustomizationPolicy import DefaultCustomizationPolicy
from Products.CMFPlone.Portal import addPolicy

class PloneMallCustomizationPolicy(DefaultCustomizationPolicy):
    """ Make a custom Plone for PloneMall """

    def customize(self, portal):
        DefaultCustomizationPolicy.customize(self, portal)
        self.setupMallProducts(portal)
        
    def setupMallProducts(self,portal):

        portal.portal_quickinstaller.installProduct("Archetypes")
        portal.portal_quickinstaller.installProduct("PloneFormMailer")
        
        portal.portal_quickinstaller.installProduct("PloneMall")
        portal.portal_quickinstaller.installProduct("PloneMallRegistry")
        portal.portal_quickinstaller.installProduct("PloneMallItem")
        portal.portal_quickinstaller.installProduct("PloneMallCustomer")
        portal.portal_quickinstaller.installProduct("PloneMallCart")
        portal.portal_quickinstaller.installProduct("PloneMallOrder")
        portal.portal_quickinstaller.installProduct("PloneMallShipping")
        portal.portal_quickinstaller.installProduct("PloneMallPayment")
        portal.portal_quickinstaller.installProduct("PloneMallTax")

def register(context):
    addPolicy('PloneMall', PloneMallCustomizationPolicy())
