## Script (Python) "cart_update"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=cart_item=[]
##title=Update cart quantities
##
cart = context.portal_cartmanager.getOrCreateCart()

cart.delItem(cart_item)

for cart_item in cart.getContents():
    quantity = float(context.REQUEST.get('quantity_%s' % cart_item.getId()))
    if quantity != cart_item.getQuantity():
        cart.updateItem(cart_item, quantity)
msg = 'portal_status_message=Cart updated.'
return context.REQUEST.RESPONSE.redirect('%s/cart_view?%s' % (context.absolute_url(), msg))
