# File: AddressInformation.py
# 
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil), jens quadrat - AGENTUR FUER NEUE MEDIEN OEG (Austria),
# BlueDynamics KEG (Austria), Zettai.net LCC (United States)
# Generator: ArchGenXML Version 1.4.0-beta1 http://sf.net/projects/archetypes/
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = ''' <>, Fabiano Weimar dos Santos <xiru@xiru.org>, Jens Klein
<jensens@jensquadrat.de>, Phil Auersperg <phil@bluedynamics.org>'''
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *

from Products.PloneMallRegistry.IAddressInformation import IAddressInformation


from Products.PloneMallCustomer.config import *
##code-section module-header #fill in your manual code here
from config import *
from Products.PloneMallRegistry.MallRegistry import FactoryRegistry
from Products.CMFCore.utils import getToolByName
##/code-section module-header

schema= Schema((
    StringField('location_name',
        write_permission='Buy item',
            widget=StringWidget(
    label="Location Name",
    label_msgid='PloneMallCustomer_label_location_name',
    description='Enter a value for Location Name.',
    description_msgid='PloneMallCustomer_help_location_name',
    i18n_domain='PloneMallCustomer',
)        ,
        required=1    ),
    StringField('firstname',
        write_permission='Buy item',
            widget=StringWidget(
    label="Last Name",
    label_msgid='PloneMallCustomer_label_first_name',
    description='Enter a value for First Name.',
    description_msgid='PloneMallCustomer_help_first_name',
    i18n_domain='PloneMallCustomer',
)        ,
    ),
    StringField('lastname',
        write_permission='Buy item',
            widget=StringWidget(
    label="Last Name",
    label_msgid='PloneMallCustomer_label_last_name',
    description='Enter a value for Last Name.',
    description_msgid='PloneMallCustomer_help_last_name',
    i18n_domain='PloneMallCustomer',
)        ,
    ),
    StringField('address1',
        write_permission='Buy item',
            widget=StringWidget(
    label="Address 1",
    label_msgid='PloneMallCustomer_label_address1',
    description='Enter a value for Address 1.',
    description_msgid='PloneMallCustomer_help_address1',
    i18n_domain='PloneMallCustomer',
)        ,
        required=1    ),
    
    StringField('address2',
        write_permission='Buy item',
            widget=StringWidget(
    label="Address 2",
    label_msgid='PloneMallCustomer_label_address2',
    description='Enter a value for Address 2.',
    description_msgid='PloneMallCustomer_help_address2',
    i18n_domain='PloneMallCustomer',
)    ),
    
    StringField('postal_code',
        write_permission='Buy item',
            widget=StringWidget(
    label="Postal Code",
    label_msgid='PloneMallCustomer_label_postal_code',
    description='Enter a value for Postal Code.',
    description_msgid='PloneMallCustomer_help_postal_code',
    i18n_domain='PloneMallCustomer',
)        ,
        required=1    ),
    
    StringField('city',
        write_permission='Buy item',
            widget=StringWidget(
    label='City',
    label_msgid='PloneMallCustomer_label_city',
    description='Enter a value for city.',
    description_msgid='PloneMallCustomer_help_city',
    i18n_domain='PloneMallCustomer',
)        ,
        required=1    ),
    
    StringField('state',
        write_permission='Buy item',
            widget=StringWidget(
    label='State',
    label_msgid='PloneMallCustomer_label_state',
    description='Enter a value for state.',
    description_msgid='PloneMallCustomer_help_state',
    i18n_domain='PloneMallCustomer',
)        ,
        required=1    ),
    
    StringField('country',
        write_permission='Buy item',
            widget=StringWidget(
    label='Country',
    label_msgid='PloneMallCustomer_label_country',
    description='Enter a value for country.',
    description_msgid='PloneMallCustomer_help_country',
    i18n_domain='PloneMallCustomer',
)        ,
        required=1    ),    
),
)


##code-section after-schema #fill in your manual code here
##/code-section after-schema

class AddressInformation(BaseContent):
    """
    Address Information
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,'__implements__',()),) + (IAddressInformation,)


    # This name appears in the 'add' box
    archetype_name             = 'AddressInformation'

    meta_type    = 'AddressInformation' 
    portal_type  = 'AddressInformation' 
    allowed_content_types      = [] 
    filter_content_types       = 0
    global_allow               = 0
    allow_discussion           = 0
    #content_icon               = 'AddressInformation.gif'
    immediate_view             = 'base_view'
    default_view               = 'base_view'
    typeDescription            = "AddressInformation"
    typeDescMsgId              = 'description_edit_addressinformation'

    schema = BaseSchema + \
             schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header


    #Methods
    #methods from Interface IAddressInformation

    security.declareProtected("View", 'getAddressInformationFields')
    def getAddressInformationFields(self):
        '''
        Return the AddressInformation achetypes fields list.
        '''
        


registerType(AddressInformation,PROJECTNAME)
# end of class AddressInformation

##code-section module-footer #fill in your manual code here
if register_address_information:
   FactoryRegistry.registerMallFactory('AddressInformation', AddressInformation, (IAddressInformation,))
##/code-section module-footer



