# Controller Python Script "order_review_redirect"
##bind context=context
##bind state=state
##parameters=
##title=
##

r = context.REQUEST
s = r.SESSION

discount_code = r.get('discount_code', '')
if discount_code != '':
    code_folder = context['discount-folder'].contentValues()
    for code in code_folder:
        if discount_code == code.getDiscountCode():
            sub_total = context.portal_cartmanager.getOrCreateCart().getValueTotal()
            code_percentage = code.getIsPercentage()
            code_value = float(code.getSpecificRate())
            if code_percentage:
                discount_percentage = code_value / 100.0
                discount_total = str(float(sub_total) * discount_percentage)
            else:
                discount_total = str(code_value)
            s['discount_total'] = discount_total
            
referred_by = r.get('referredBy', '')
if referred_by != '':
    s['customer']['referredBy'] = referred_by

return state.set(next_action='traverse_to:string:checkout')
