## Script (Python) "asPDF"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=templatename=None,documentname=None,resultname=None
##title=Traveral helper to render report
##

request = context.REQUEST

templatename = templatename or 'pdftemplate_plonemall'
documentname = documentname or 'orderview_pdf'

if len(traverse_subpath) >= 3:
    resultname = traverse_subpath[2]

if templatename and documentname:
    if not resultname:
        resultname = context.id + '.pdf'
    
    report_tool = context.portal_report
    template_pt = getattr(context, templatename, None)
    doc_pt      = getattr(context, documentname,None)

    if template_pt and doc_pt:
        pdf          = report_tool.renderPDF(template_pt(),doc_pt())
                
        request.RESPONSE.setHeader('Content-Type','application/pdf')
        request.RESPONSE.setHeader('Content-Length',len(pdf))
        request.RESPONSE.setHeader('Content-Disposition','inline;filename=%s' % resultname)
        
        return pdf

url = '%s/%s?%s' % (context.portal_url(),'index_html','portal_status_message=error+using+asPDF.')
return request.RESPONSE.redirect(url)
