# File: QentaSettings.py
"""\
unknown

"""
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil), jens quadrat - AGENTUR FUER NEUE MEDIEN OEG (Austria),
# BlueDynamics KEG (Austria), Zettai.net LCC (United States)
# Generator: ArchGenXML Version 1.4 devel 2 http://sf.net/projects/archetypes/
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Fabiano Weimar dos Santos <xiru@xiru.org>, Jens Klein
<jensens@jensquadrat.de>, Phil Auersperg <phil@bluedynamics.org>'''
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *


from RedirectingPaymentSettings import RedirectingPaymentSettings



from Products.PloneMallPayment.config import *

##code-section module-header #fill in your manual code here
##/code-section module-header

schema= Schema((
    StringField('secret',
        widget=StringWidget(
            label='Secret',
            label_msgid='PloneMallPayment_label_secret',
            description='Enter a value for secret.',
            description_msgid='PloneMallPayment_help_secret',
            i18n_domain='plonemallpayment',
        ),
    ),
    
    StringField('defaultPaymentType',
        default="CCARD",
        widget=StringWidget(
            label='Defaultpaymenttype',
            label_msgid='PloneMallPayment_label_defaultPaymentType',
            description='Enter a value for defaultPaymentType.',
            description_msgid='PloneMallPayment_help_defaultPaymentType',
            i18n_domain='plonemallpayment',
        ),
    ),
    
    StringField('baseUrl',
        default="http://www.qenta.com/paymentcenter/",
        widget=StringWidget(
            label='Baseurl',
            label_msgid='PloneMallPayment_label_baseUrl',
            description='Enter a value for baseUrl.',
            description_msgid='PloneMallPayment_help_baseUrl',
            i18n_domain='plonemallpayment',
        ),
    ),
    
    StringField('payment_method',
        default='qenta',
        widget=StringWidget(
            label='Payment_method',
            label_msgid='PloneMallPayment_label_payment_method',
            description='Enter a value for payment_method.',
            description_msgid='PloneMallPayment_help_payment_method',
            i18n_domain='plonemallpayment',
        ),
    ),
    
),
)


##code-section after-schema #fill in your manual code here
##/code-section after-schema

class QentaSettings(RedirectingPaymentSettings,BaseContent):
    security = ClassSecurityInfo()
    __implements__ = (getattr(RedirectingPaymentSettings,'__implements__',()),) + (getattr(BaseContent,'__implements__',()),)


    # This name appears in the 'add' box
    archetype_name             = 'QentaSettings'

    portal_type = meta_type    = 'QentaSettings' 
    allowed_content_types      = [] + list(getattr(RedirectingPaymentSettings,'allowed_content_types',[]))
    filter_content_types       = 0
    global_allow               = 0
    allow_discussion           = 0
    #content_icon               = 'QentaSettings.gif'
    immediate_view             = 'base_view'
    default_view               = 'base_view'
    typeDescription            = "QentaSettings"
    typeDescMsgId              = 'description_edit_qentasettings'

    schema = BaseSchema + \
             getattr(RedirectingPaymentSettings,'schema',Schema(())) + \
             schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    def getPaymentMethodName(self):
        return 'QentaPayment'

    #Methods

registerType(QentaSettings,PROJECTNAME)
# end of class QentaSettings

##code-section module-footer #fill in your manual code here
##/code-section module-footer



