from Products.PloneMallRegistry.IPaymentMethod import IPaymentMethod
from config import *
from Products.PloneMallRegistry.MallRegistry import FactoryRegistry
from util import addPaymentInformation

class WorldPay:
    '''
    WorldPay
    
    More information at:
    
    http://www.worldpay.com
    '''
    
    __implements__ = (IPaymentMethod,)


    def processPayment(self, order):
        '''

        '''
        
        return addPaymentInformation(order, self)

if register_worldpay:
   FactoryRegistry.registerMallFactory('WorldPay', WorldPay, icon_file='worldpay.png')
