## Script (Python) "PayPal_redirect"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
r = context.REQUEST
s = r.SESSION

pom = context.portal_ordermanager
order = pom.getOrderById(s['order_id'])

customer = order.getCustomer()
customer_address = order.getCustomerAddress()

p = {"cmd"           : "_cart",
     "upload"        : "1",
     ## TODO: put it on portal_ordermanager
     "business"      : "billing@zettai.net",    
     "email"         : customer.getEmail(),
     "first_name"    : customer.getFirstname(),
     "last_name"     : customer.getLastname(),
     "address1"      : customer_address.getAddress1(),
     "address2"      : customer_address.getAddress2(),
     "zip"           : customer_address.getPostal_code(),
     "city"          : customer_address.getCity(),
     "state"         : customer_address.getState(),
     "country"       : customer_address.getCountry(),
     ## TODO: hardcoded!
     "currency_code" : "USD",   
     "invoice"       : str(s['order_id']),
     "no_shipping"   : "1",
     "return"        : '%s/thankyou?order_id=%d' % \
                       (context.portal_url(), int(s['order_id'])),
     "cancel_return" : context.portal_url() + '/cancel'
     }

cart = order.getCart()
items = cart.getContents()

for i in range(len(items)):
  l = i + 1
  d = {'item_name_%d' % l : items[i].getMallItem().getDescription(),
       ## FIXME: It's against the defined interface!
       'amount_%d' % l    : items[i].getItem_price(),
       'quantity_%d' % l  : str(items[i].getQuantity())
      }
  p.update(d)

url = "https://www.paypal.com/cgi-bin/webscr"

param = []
for k, v in p.items():
  param.append("%s=%s" % (k, v))
param = "&".join(param)

return context.REQUEST.RESPONSE.redirect("%s?%s" % (url, param))
