## Script (Python) "WorldPay_redirect"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
r = context.REQUEST
s = r.SESSION

pom = context.portal_ordermanager
order = pom.getOrderById(s['order_id'])

customer = order.getCustomer()
customer_address = order.getCustomerAddress()

p = {"instId"        : "",   # seller id
     ## WARNING: Do not forget to comment the following line when you
     ## put the application under production
     "testMode"      : "100",    
     "cartId"       : str(s['order_id']),
     ## TODO: hardcoded!
     "currency"      : "USD",   
     "desc"          : "",   # seller description
     ## FIXME: It's against the defined interface!
     "amount"        : str(order.getTotal()).split(' ')[1],
     "name"          : customer.getFirstname() + ' ' + \
                       customer.getLastname(),
     "email"         : customer.getEmail(),
     "address"       : customer_address.getAddress1() + ' ' + \
                       customer_address.getAddress2(),
     "country"       : customer_address.getCountry(),
     "postcode"      : customer_address.getPostal_code(),
     }

url = "https://select.worldpay.com/wcc/purchase"

param = []
for k, v in p.items():
  param.append("%s=%s" % (k, v))
param = "&".join(param)

return context.REQUEST.RESPONSE.redirect("%s?%s" % (url, param))
