# File: IAVS.py
"""\
IAVS

"""
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil), jens quadrat - AGENTUR FUER NEUE MEDIEN OEG (Austria),
# BlueDynamics KEG (Austria), Zettai.net LCC (United States)
# Generator: ArchGenXML Version 1.4 devel 4 http://sf.net/projects/archetypes/
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Fabiano Weimar dos Santos <xiru@xiru.org>, Jens Klein
<jensens@jensquadrat.de>, Phil Auersperg <phil@bluedynamics.org>'''
__docformat__ = 'plaintext'




from Interface import Base

class IAVS(Base):
    """
    IAVS
    """

    #Methods

    def getCountries():
        """
        Return a list of tuples, where the first tuple position is the
        coutry code (following the ISO3166 specification) and the second
        position is the Coutry name.
        """
        


    def getStatesForCountry(country):
        """
        Return the States of a Country as a list of tuples, where the
        first tuple position if the State code (following the ISO3166
        specification) and the second position is the State name.
        """
        


    def getSupportedCountries():
        """
        Lists the countries that are supported as a list of tuples
        (iso,countryname)
        """
        


    def getPreferredCountries():
        """
        Lists the countries that are preferred and appear first in the
        country list as a list of tuples (iso,countryname)
        """
        

# end of class IAVS

