from Products.Archetypes.atapi import *
#from Products.PloneMallRegistry.IShippingSettings import IShippingSettings
from Products.CMFCore.CMFCorePermissions import ManagePortal
from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from Products.PloneMallShipping.FedExRate import FedExRate
from Products.CMFCore.utils import UniqueObject
from Products.PloneMallShipping.config import *
from Products.PloneMallRegistry.IShippingSettings import IShippingSettings


FedExSchema = BaseSchema.copy()

schema = FedExSchema + Schema((
    StringField(
        'country',
        required=1,
        widget=StringWidget(
            label='countryCode',
            description='Enter your two character country code.',
        ),
    ),
    StringField(
        'state',
        required=1,
        widget=StringWidget(
            label='state',
            description='Enter your two character state or province code',
        ),
    ),
    StringField(
        'zip',
        required=1,
        widget=StringWidget(
            label='zip',
            description='Enter your zip code.',
        ),
    ),
),
)

class FedExSettings(BaseContent):
    """
    <p>FedEx Settings</p>
    """

    schema = schema
    #security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,'__implements__',()),) + (IShippingSettings,)
    portal_type = meta_type = archetype_name = 'FedExSettings'

    # This is for the configuration page
#    security = ClassSecurityInfo()
#    manage_options = ( ({ 'label' : 'Configure', 'action' : 'manage_configure' }
#                     ,
#                     ) + BaseFolder.manage_options
#                     )
#
#    security.declareProtected( ManagePortal, 'manage_configure' )
#    manage_configure = PageTemplateFile('www/configureAuthorizeNetSettings', globals(),
#                                   __name__='manage_configure')


    global_allow               = 1
    #content_icon               = 'PayPalSettings.gif'
    immediate_view             = 'base_view'
    default_view               = 'base_view'
    typeDescription            = "FedExSettings"
    typeDescMsgId              = 'description_edit_FedExsettings'
    
    
registerType(FedExSettings,PROJECTNAME)


