from Products.PloneMallRegistry.IPhysicalItem import IPhysicalItem
from Products.PloneMallRegistry.IShippingMethod import IShippingMethod
from config import *
from Products.PloneMallRegistry.MallRegistry import FactoryRegistry
from Products.PloneMallRegistry.Size import Size
from Products.PloneMallRegistry.Weight import Weight
from util import addShippingInformation

class PostAt:
    '''
    Austrian Post AG
    '''

    __implements__ =(IPhysicalItem,IShippingMethod)


    def getSize(self,item):
        '''
        
        '''
        
        return Size()


    def getWeight(self,item):
        '''
        
        '''
        
        return Weight()


    def processShipping(self,order):
        '''
        
        '''

        return addShippingInformation(order, self)

if register_postat:
    FactoryRegistry.registerMallFactory('PostAt', PostAt, (IShippingMethod,IPhysicalItem))
