# File: SettingsTool.py
"""\
<p> Settings Repository</p>

"""
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil), jens quadrat - AGENTUR FUER NEUE MEDIEN OEG (Austria),
# BlueDynamics KEG (Austria), Zettai.net LCC (United States)
# Generator: ArchGenXML Version 1.4 devel 1 http://sf.net/projects/archetypes/
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Fabiano Weimar dos Santos <xiru@xiru.org>, Jens Klein
<jensens@jensquadrat.de>, Phil Auersperg <phil@bluedynamics.org>'''
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *

from Products.PloneMallShipping.config import *


from Products.CMFCore.utils import UniqueObject

    
##code-section module-header #fill in your manual code here
from Products.CMFCore.utils import getToolByName
#from Products.PloneMallRegistry.IMethod import IShippingMethod
from Products.PloneMallRegistry.AllowedTypesByIface import AllowedTypesByIface

##/code-section module-header

schema= Schema((
),
)

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class ShippingSettingsTool(UniqueObject,AllowedTypesByIface,BaseFolder):
    """
    <p> Settings Repository</p>
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(UniqueObject,'__implements__',()),) + (getattr(AllowedTypesByIface,'__implements__',()),) + (getattr(BaseFolder,'__implements__',()),)


    # This name appears in the 'add' box
    archetype_name             = 'ShippingSettingsTool'
    portal_type = meta_type    = 'ShippingSettingsTool' 

    allowed_content_types      = ['ShippingSettings', 'FedExSettings'] 
    allowed_content_interfaces = ['IShippingSettings'] 
    filter_content_types       = 1
    global_allow               = 0
    allow_discussion           = 0
    #content_icon               = 'ShippingSettingsTool.gif'
    immediate_view             = 'base_view'
    default_view               = 'base_view'
    typeDescription            = "ShippingSettingsTool"
    typeDescMsgId              = 'description_edit_ShippingSettingsTool'
    #toolicon                   = 'ShippingSettingsTool.gif'

    schema = BaseFolderSchema + \
             schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header


    # tool-constructors have no id argument, the id is fixed
    def __init__(self, id=None):
        AllowedTypesByIface,BaseFolder.__init__(self,'portal_shippingsettings')
        
        ##code-section constructor-footer #fill in your manual code here
        ##/code-section constructor-footer



    #Methods

    security.declarePublic('listShippingMethods')
    def listShippingMethods(self):
        """
        
        """
        
        reg=getToolByName(self,'portal_mall_registry')


registerType(ShippingSettingsTool,PROJECTNAME)
# end of class ShippingSettingsTool

##code-section module-footer #fill in your manual code here
##/code-section module-footer



