## Script (Python) "addtocart"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=item_uids=None,items=None
##title=Add a item to the cart
##
from Products.CMFCore.utils import getToolByName
uc=getToolByName(context,'reference_catalog')
pcm = context.portal_cartmanager
cart = pcm.getOrCreateCart()


if item_uids:
    item_objects=[(uc.lookupObject(uid),1) for uid in item_uids]
    
if not item_uids and items:
        
    item_objects=[(uc.lookupObject(i['uid']),float(i['quantity'])) for i in items if i.get('quantity',None) and float(i['quantity'])]
    
for item,amount in item_objects:
    cart.addItem(item,amount)
    
msg = 'portal_status_message=Item added to cart.'
return context.REQUEST.RESPONSE.redirect('%s/cart_view?%s' % (context.absolute_url(), msg))
