# File: AddressInformationSet.py
# 
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil), jens quadrat - AGENTUR FUER NEUE MEDIEN OEG (Austria),
# BlueDynamics KEG (Austria), Zettai.net LCC (United States)
# Generator: ArchGenXML Version 1.4.0-beta1 http://sf.net/projects/archetypes/
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = ''' <>, Fabiano Weimar dos Santos <xiru@xiru.org>, Jens Klein
<jensens@jensquadrat.de>, Phil Auersperg <phil@bluedynamics.org>'''
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *

from Products.PloneMallRegistry.IAddressInformationSet import IAddressInformationSet
from Products.Archetypes.AllowedTypesByIface import AllowedTypesByIfaceMixin
from Products.PloneMallRegistry.IAddressInformation import IAddressInformation


from Products.PloneMallCustomer.config import *
##code-section module-header #fill in your manual code here
from config import *
from Products.PloneMallRegistry.MallRegistry import FactoryRegistry
from Products.PloneMallRegistry.util import filterContents
from Products.PloneMallRegistry.AllowedTypesByIface import AllowedTypesByIface
##/code-section module-header

schema= Schema((
),
)


##code-section after-schema #fill in your manual code here
##/code-section after-schema

class AddressInformationSet(AllowedTypesByIfaceMixin,AllowedTypesByIface,BaseFolder):
    """
    Address Information Set
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(AllowedTypesByIfaceMixin,'__implements__',()),) + (getattr(AllowedTypesByIface,'__implements__',()),) + (getattr(BaseFolder,'__implements__',()),) + (IAddressInformationSet,)


    # This name appears in the 'add' box
    archetype_name             = 'AddressInformationSet'

    meta_type    = 'AddressInformationSet' 
    portal_type  = 'AddressInformationSet' 
    allowed_content_types      = ['AddressInformation'] 
    allowed_interfaces = [IAddressInformation] 
    filter_content_types       = 1
    global_allow               = 0
    allow_discussion           = 0
    #content_icon               = 'AddressInformationSet.gif'
    immediate_view             = 'base_view'
    default_view               = 'base_view'
    typeDescription            = "AddressInformationSet"
    typeDescMsgId              = 'description_edit_addressinformationset'

    schema = BaseFolderSchema + \
             schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header


    #Methods
    #methods from Interface IAddressInformationSet

    security.declareProtected("View", 'getContents')
    def getContents(self, filter = {}):
        '''
        Return a list of objects that are inside the address information
        set. The result could be filtered using a dictionary, where the
        keys are object properties and the values are acceptable values
        for these keys.
        '''

        return filterContents(self.objectValues(['AddressInformation']), filter)



registerType(AddressInformationSet,PROJECTNAME)
# end of class AddressInformationSet

##code-section module-footer #fill in your manual code here
if register_address_information:
   FactoryRegistry.registerMallFactory('AddressInformationSet', AddressInformationSet, (IAddressInformationSet,))
##/code-section module-footer



