register_order = 1

default_customer_information_id = 'customer_information'
default_address_information_set_id = 'address_information_set'
default_address_information_id = 'address_information'
default_shipping_address_information_id = 'shipping_address_information'

has_shipping = 1                   ## not used for now
has_shipping_address_by_item = 0   ## not used for now
has_payment = 1
has_tax = 1
has_tax_by_item = 1                ## not used for now

default_mailtemplate_body='''<tal:block i18n:domain="PloneMall" 
           tal:define="form here/form;
                       groups form/get_groups;">
<html>
<body>
<p tal:condition="here/getBodyPre" tal:content="here/getBodyPre" />
<p tal:condition="options/prepend" tal:content="options/prepend" />

<hr>
<h3> Customer Information </h3>

<table border="1" tal:define="obj order/getCustomer">
   <tr tal:repeat="field python:[f for f in obj.Schema().fields() if not f.isMetadata and not f.getName() in ['id','address']]">
     <td tal:content="field/getName"/>
     <td tal:content="python:field.getAccessor(obj)()"/>
   </tr>
</table>

<h4> Address </h4>

<table border="1" tal:repeat="obj python:order.getCustomer().getAddress().getContents()">
   <tr tal:repeat="field python:[f for f in obj.Schema().fields() if not f.isMetadata and not f.getName() in ['id',]]">
     <td tal:content="field/getName"/>
<td tal:content="python:field.getAccessor(obj)()"/>
   </tr>
</table>

<h4> Articles purchased  </h4>

<table border="1" tal:define="objs python:order.getCart()">
   <tr tal:repeat="obj objs/getContents">
     <td tal:content="python:obj.getItem().getSKUCode()"/>
     <td tal:content="python:obj.getItem().Title()"/>
     <td tal:content="python:obj.getCurrency()"/>

     <td tal:content="python:obj.getItem_price()"/>
     <td tal:content="python:obj.getItem_quantity()"/>
   </tr>
</table>

<h4> Total </h4>
The total amount of your order is
<b tal:content="order/getTotal" /> 



<br>

you can view your order
<a tal:attributes="href order/absolute_url"> online  </a>

<br>

<p tal:condition="options/append" tal:content="options/append" />
<p tal:condition="here/getBodyPost" tal:content="here/getBodyPost" />
<pre tal:content="here/getFooter" />
</body>
</html>
</tal:block>

'''
