# File: PaymentSettings.py
"""\
<p>Payment Settings Repository</p>

RCS-ID $Id: PaymentSettings.py,v 1.6 2005/06/28 23:37:26 phil Exp $
"""
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil), jens quadrat - AGENTUR FUER NEUE MEDIEN OEG (Austria),
# BlueDynamics KEG (Austria), Zettai.net LCC (United States)
#
# Generated: Sat Feb 19 06:38:45 2005
# Generator: ArchGenXML Version 1.4 devel 1 http://sf.net/projects/archetypes/
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Fabiano Weimar dos Santos <xiru@xiru.org>, Jens Klein
<jensens@jensquadrat.de>, Phil Auersperg <phil@bluedynamics.org>'''
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.public import *


from Products.PloneMallPayment.config import *


from Products.CMFCore.utils import UniqueObject

    
##code-section module-header #fill in your manual code here
##/code-section module-header

schema= Schema((
),
)

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class PaymentSettings(UniqueObject,BaseFolder):
    """
    <p>Payment Settings Repository</p>
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(UniqueObject,'__implements__',()),) + (getattr(BaseFolder,'__implements__',()),)

    portal_type = meta_type    = 'PaymentSettings' 
    archetype_name             = 'PaymentSettings' #this name appears in the 'add' box 
    allowed_content_types      = ['WorldPaySettings', 'TwoCheckoutSettings', 'PayPalSettings', 'RedirectingPaymentSetting'] 
    filter_content_types       = 1
    global_allow               = 0
    allow_discussion           = 0
    #content_icon               = 'PaymentSettings.gif'
    immediate_view             = 'base_view'
    typeDescription            = """PaymentSettings"""
    typeDescMsgId              = 'description_edit_paymentsettings'

    schema = BaseFolderSchema + \
             schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header


    # tool-constructors have no id argument, the id is fixed
    def __init__(self, id=None):
        BaseFolder.__init__(self,'portal_paymentsettings')
        
        ##code-section constructor-footer #fill in your manual code here
        ##/code-section constructor-footer


    #Methods

registerType(PaymentSettings)
# end of class PaymentSettings

##code-section module-footer #fill in your manual code here
##/code-section module-footer


