# File: RedirectingPaymentMethod.py
"""\
Redirect Payment Method

"""
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil), jens quadrat - AGENTUR FUER NEUE MEDIEN OEG (Austria),
# BlueDynamics KEG (Austria), Zettai.net LCC (United States)
# Generator: ArchGenXML Version 1.4 devel 2 http://sf.net/projects/archetypes/
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Fabiano Weimar dos Santos <xiru@xiru.org>, Jens Klein
<jensens@jensquadrat.de>, Phil Auersperg <phil@bluedynamics.org>'''
__docformat__ = 'plaintext'


##code-section module-header #fill in your manual code here
from config import *
from Products.PloneMallRegistry.MallRegistry import FactoryRegistry
from util import addPaymentInformation
##/code-section module-header


from Products.PloneMallRegistry.IPaymentMethod import IPaymentMethod
from Products.PloneMallRegistry.IRedirectingPaymentMethod import IRedirectingPaymentMethod

class RedirectingPaymentMethod:
    ''' Redirect Payment Method'''
    __implements__ = () + (IPaymentMethod,IRedirectingPaymentMethod,)

    ##code-section class-header_RedirectingPaymentMethod #fill in your manual code here
    ##/code-section class-header_RedirectingPaymentMethod



    
    #from Interface IPaymentMethod:

    def processPayment(self,order):
        return addPaymentInformation(order, self, factoryName=self.information_class)                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                
    
    #from Interface IRedirectingPaymentMethod:

    def redirect(self):
        pass                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                        

    
    
##code-section module-footer #fill in your manual code here
FactoryRegistry.registerMallFactory('RedirectingPaymentMethod', RedirectingPaymentMethod, icon_file='paypal.png')
##/code-section module-footer



