from AccessControl import ClassSecurityInfo
from Products.Archetypes.Widget import MultiSelectionWidget
from Products.Archetypes.Registry import registerWidget

class LargeMultiSelectionWidget(MultiSelectionWidget):
    """
    Large MultiSelection Widget

    'Dict' based widget for improved performance when 
    used with large vocabularies
    """

    _properties = MultiSelectionWidget._properties.copy()
    _properties.update({
        'macro' : "large_multiselection_widget",
        })
    security = ClassSecurityInfo()

registerWidget(LargeMultiSelectionWidget,
               title='LargeMultiSelection',
               description='A faster MultiSelection widget for big vocabularies',
               used_for=('Products.Archetypes.Field.LinesField',)
               )
