from Products.PloneMallRegistry.IShippingMethod import IShippingMethod
from config import *
from Products.PloneMallRegistry.MallRegistry import FactoryRegistry
from util import addShippingInformation

class Download:
    '''
    Download Shipping Method. Useful to "ship" e-goods, like mp3
    music, files, photos, etc.
    '''

    __implements__ = (IShippingMethod,)


    def processShipping(self, order):
        '''
        
        '''

        return addShippingInformation(order, self)
        
if register_download:
    FactoryRegistry.registerMallFactory('Download', Download, (IShippingMethod, ))
