from Products.PloneMallRegistry.MallRegistry import FactoryRegistry
from Products.PloneMallOrder.exceptions import EmptyCart, \
                                               MissingCustomer, \
                                               MissingCustomerAddress, \
                                               MissingShippingMethod, \
                                               MissingPaymentMethod, \
                                               MissingTaxMethod, \
                                               MissingOrderConfirmation
                                               

def addShippingInformation(order, method):
    factory = FactoryRegistry.getMallFactory('ShippingInformation')
    id = 'shipping_information'
    obj = factory(id)
    #handling = order.getHandling()
    if type(method.shiprate) == type((0,0)):
        raise MissingCustomerAddress
    else:
        obj.setValue(method.shiprate) # + handling)

    order._setObject(id, obj)
    obj = getattr(order, id)
    obj.setMethod_name(method.__class__.__name__)
    order.setShipping(obj)
    # for now, we only have one address
    order.setShippingAddress(order.getCustomerAddress())
    return order
